Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.analysis.function
Class Gaussian

    java.lang.Object
      org.apache.commons.math3.analysis.function.Gaussian

All Implemented Interfaces:
  DifferentiableUnivariateFunction, UnivariateDifferentiableFunction, UnivariateFunction

    public class Gaussian

extends Object
implements UnivariateDifferentiableFunction, DifferentiableUnivariateFunction

Gaussian function.

Since:
  3.0
Version:
  $Id: Gaussian.java 1383441 2012-09-11 14:56:39Z luc $

Nested Class Summary
`static class` | `Gaussian.Parametric` Parametric function where the input array contains the parameters of the Gaussian, ordered as follows: Norm Mean Standard deviation

Constructor Summary
`Gaussian()` Normalized gaussian with zero mean and unit standard deviation.
`Gaussian(double mean, double sigma)` Normalized gaussian with given mean and standard deviation.
`Gaussian(double norm, double mean, double sigma)` Gaussian with given normalization factor, mean and standard deviation.

Method Summary
`UnivariateFunction` | `derivative()` Deprecated. as of 3.1, replaced by `value(DerivativeStructure)`
`DerivativeStructure` | `value(DerivativeStructure t)` Simple mathematical function.
`double` | `value(double x)` Compute the value of the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gaussian

    public Gaussian(double norm,
                    double mean,
                    double sigma)
             throws NotStrictlyPositiveException

  Gaussian with given normalization factor, mean and standard deviation.

  Parameters:
    `norm` - Normalization factor.
    `mean` - Mean.
    `sigma` - Standard deviation.
  Throws:
    `NotStrictlyPositiveException` - if `sigma <= 0`.

### Gaussian

    public Gaussian(double mean,
                    double sigma)
             throws NotStrictlyPositiveException

  Normalized gaussian with given mean and standard deviation.

  Parameters:
    `mean` - Mean.
    `sigma` - Standard deviation.
  Throws:
    `NotStrictlyPositiveException` - if `sigma <= 0`.

### Gaussian

    public Gaussian()

  Normalized gaussian with zero mean and unit standard deviation.

Method Detail

### value

    public double value(double x)

  Compute the value of the function.

  Specified by:
    `value` in interface `UnivariateFunction`
  Parameters:
    `x` - Point at which the function value should be computed.
  Returns:
    the value of the function.

### derivative

    @Deprecated
    public UnivariateFunction derivative()

  Deprecated. as of 3.1, replaced by `value(DerivativeStructure)`

  Returns the derivative of the function

  Specified by:
    `derivative` in interface `DifferentiableUnivariateFunction`
  Returns:
    the derivative function

### value

    public DerivativeStructure value(DerivativeStructure t)

  Simple mathematical function.

  `UnivariateDifferentiableFunction` classes compute both the value and the first derivative of the function.

  Specified by:
    `value` in interface `UnivariateDifferentiableFunction`
  Parameters:
    `t` - function input value
  Returns:
    function result
  Since:
    3.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.